Index: src/main/java/com/example/skychasemk/controller/ReviewController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/ReviewController.java	(revision 3d609327dbace888fbc6a057dfb4b5c624b18c15)
+++ src/main/java/com/example/skychasemk/controller/ReviewController.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
@@ -3,4 +3,5 @@
 import com.example.skychasemk.dto.ReviewDTO;
 import com.example.skychasemk.model.Review;
+import com.example.skychasemk.repository.ReviewRepository;
 import com.example.skychasemk.services.ReviewService;
 import org.springframework.beans.factory.annotation.Autowired;
@@ -17,4 +18,6 @@
     @Autowired
     private ReviewService reviewService;
+    @Autowired
+    private ReviewRepository reviewRepository;
 
     // Get all reviews
@@ -22,4 +25,10 @@
     public List<Review> getAllReviews() {
         return reviewService.getAllReviews();
+    }
+
+
+    @GetMapping("/{flightId}")
+    public List<Review> getReviewsByFlightId(@PathVariable("flightId") Integer flightId) {
+        return reviewRepository.findReviews(flightId);
     }
 
Index: src/main/java/com/example/skychasemk/controller/TopMonthlyReportController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/TopMonthlyReportController.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
+++ src/main/java/com/example/skychasemk/controller/TopMonthlyReportController.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
@@ -0,0 +1,31 @@
+package com.example.skychasemk.controller;
+
+import com.example.skychasemk.model.TopMonthlyReport;
+import com.example.skychasemk.services.TopMonthlyReportService;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.web.bind.annotation.*;
+
+import java.time.LocalDate;
+import java.util.List;
+
+@RestController
+@RequestMapping("/api/reports")
+@CrossOrigin("*")
+public class TopMonthlyReportController {
+    @Autowired
+    private TopMonthlyReportService service;
+    @GetMapping
+    public String getReportsPage() {
+        return "TopMonthlyReport";
+    }
+
+    @GetMapping("/top-monthly")
+    public List<TopMonthlyReport> getAllReports() {
+        return service.getAllReports();
+    }
+
+    @GetMapping("/top-monthly/{month}")
+    public List<TopMonthlyReport> getReportsByMonth(@PathVariable String month) {
+        return service.getReportsByMonth(LocalDate.parse(month));
+    }
+}
Index: src/main/java/com/example/skychasemk/model/TopMonthlyReport.java
===================================================================
--- src/main/java/com/example/skychasemk/model/TopMonthlyReport.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
+++ src/main/java/com/example/skychasemk/model/TopMonthlyReport.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
@@ -0,0 +1,58 @@
+package com.example.skychasemk.model;
+
+import jakarta.persistence.Column;
+import jakarta.persistence.Entity;
+import jakarta.persistence.Id;
+import jakarta.persistence.Table;
+
+import java.time.LocalDate;
+
+@Entity
+@Table(name="topmonhtlyreport")
+public class TopMonthlyReport {
+    @Id
+    @Column(name = "month")
+    private LocalDate month;
+
+    @Column(name = "category")
+    private String category;
+
+    @Column(name = "name")
+    private String name;
+
+    @Column(name = "count")
+    private int count;
+
+    // Getters and Setters
+    public LocalDate getMonth() {
+        return month;
+    }
+
+    public void setMonth(LocalDate month) {
+        this.month = month;
+    }
+
+    public String getCategory() {
+        return category;
+    }
+
+    public void setCategory(String category) {
+        this.category = category;
+    }
+
+    public String getName() {
+        return name;
+    }
+
+    public void setName(String name) {
+        this.name = name;
+    }
+
+    public int getCount() {
+        return count;
+    }
+
+    public void setCount(int count) {
+        this.count = count;
+    }
+}
Index: src/main/java/com/example/skychasemk/repository/ReviewRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/ReviewRepository.java	(revision 3d609327dbace888fbc6a057dfb4b5c624b18c15)
+++ src/main/java/com/example/skychasemk/repository/ReviewRepository.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
@@ -4,4 +4,5 @@
 import org.springframework.data.jpa.repository.JpaRepository;
 import org.springframework.data.jpa.repository.Query;
+import org.springframework.data.repository.query.Param;
 
 import java.util.List;
@@ -9,5 +10,5 @@
 public interface ReviewRepository extends JpaRepository<Review, Integer> {
     @Query("SELECT r from Review r where r.targetID = :flightId")
-    List<Review> findReviews();
+    List<Review> findReviews(@Param("flightId") Integer flightId);
 }
 
Index: src/main/java/com/example/skychasemk/repository/TopMonthlyReportRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/TopMonthlyReportRepository.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
+++ src/main/java/com/example/skychasemk/repository/TopMonthlyReportRepository.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
@@ -0,0 +1,13 @@
+package com.example.skychasemk.repository;
+
+import com.example.skychasemk.model.TopMonthlyReport;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+import java.time.LocalDate;
+import java.util.List;
+
+@Repository
+public interface TopMonthlyReportRepository extends JpaRepository<TopMonthlyReport, LocalDate> {
+    List<TopMonthlyReport> findByMonth(LocalDate month);
+}
Index: src/main/java/com/example/skychasemk/services/ReviewService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/ReviewService.java	(revision 3d609327dbace888fbc6a057dfb4b5c624b18c15)
+++ src/main/java/com/example/skychasemk/services/ReviewService.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
@@ -18,5 +18,5 @@
 
     public List<Review> getAllReviews() {
-        return reviewRepository.findReviews();
+        return reviewRepository.findAll();
     }
 
Index: src/main/java/com/example/skychasemk/services/TopMonthlyReportService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/TopMonthlyReportService.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
+++ src/main/java/com/example/skychasemk/services/TopMonthlyReportService.java	(revision a70b5a40a9534d47aad3a99f7470481b67596179)
@@ -0,0 +1,23 @@
+package com.example.skychasemk.services;
+
+import com.example.skychasemk.model.TopMonthlyReport;
+import com.example.skychasemk.repository.TopMonthlyReportRepository;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.stereotype.Service;
+
+import java.time.LocalDate;
+import java.util.List;
+
+@Service
+public class TopMonthlyReportService {
+    @Autowired
+    private TopMonthlyReportRepository repository;
+
+    public List<TopMonthlyReport> getAllReports() {
+        return repository.findAll();
+    }
+
+    public List<TopMonthlyReport> getReportsByMonth(LocalDate month) {
+        return repository.findByMonth(month);
+    }
+}
